View Issue Details

IDProjectCategoryView StatusLast Update
0007323VALENTINA SERVERReport Serverpublic2015-12-02 12:40
ReporterSergey PashkovAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version6.1 
Target Version6.2Fixed in Version6.2 
Summary0007323: Ability to generate a report via SQL for any datasource
DescriptionCurrently SELECT ... FOR REPORT works only for Valentina databases:
http://valentina-db.com/docs/dokuwiki/v6/doku.php?id=valentina:vcomponents:vsql:reference:select:for_report.

It is impossible to set a datasource string.

Such command may look like
SELECT
  FOR REPORT project_name.report_name
  DATASOURCE 'mysql://host=localhost,user=root,password=root,db=db1'
  QUERY 'SELECT * FROM actor' // But it should be possible to write any valid statement of the target datasource, for example, 'SomeProcedure()'
  AS PDF
  PAGES 1 TO 2
  ENCODE BASE64
TagsNo tags attached.

Relationships

child of 0007334 resolvedRuslan Zasukhin Ability to generate report on schedule and send it by email 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-11-10 07:29 Sergey Pashkov New Issue
2015-11-15 13:00 Sergey Pashkov Relationship added child of 0007334
2015-11-30 10:22 Ivan Smahin Assigned To => Ivan Smahin
2015-11-30 10:22 Ivan Smahin Status new => assigned
2015-12-02 12:40 Ruslan Zasukhin Status assigned => resolved
2015-12-02 12:40 Ruslan Zasukhin Fixed in Version => 6.2
2015-12-02 12:40 Ruslan Zasukhin Resolution open => fixed
2015-12-28 16:01 Ruslan Zasukhin Category Reports => Report Server